/* FONT */
@font-face {
  font-family: "Nanum Square Round Light";
  src: url("font/NanumSquareRoundL.otf");
}
@font-face {
  font-family: "Nanum Square Round Regular";
  src: url("font/NanumSquareRoundR.otf");
}
@font-face {
  font-family: "Nanum Square Round Bold";
  src: url("font/NanumSquareRoundB.otf");
}
@font-face {
  font-family: "Nanum Square Round Extra Bold";
  src: url("font/NanumSquareRoundEB.otf");
}

/* VARIABLES */
:root {
  --mysticviolet: #a193d8;
  --mysticblue: #7ea8e9;
  --frame: rgb(255, 253, 245);
  --border: #3c1053;
  --text: #ffffff;
  --nav: #afb3e6;
  --text2: #1c1053;
  --raindrops: rgba(198, 92, 255, 0.67);
  --starry-bg: #2e7fdb;
  --starry-gradient: #26257a;
  --starry-img: url("/images/bg/starry.gif");
  --rainy-bg: #6773d8;
  --rainy-gradient: #32316f;
  --rainy-img: url();

  --playlist-bg: #2c081d;
  --playlist-color: #b6daff;
  --playlist-shadow: 1px 1px 4px rgba(28, 72, 213, 0.77);

  --purple: #9a89f6;
  --green: #bfdfae;
  --pink: #ef9bae;
  --red: #e75254;
  --orange: #ef8c63;
  --yellow: #f8d655;
  --skyblue: #9ec7f9;

  --borderstyle: double 3px var(--border);
  --box-shadow: 0 1px 5px rgba(0, 0, 0, 0.3);
}

* {
  box-sizing: border-box;
  font-size: 14px;
}

body {
  width: 100%;
  height: 100%;
  font-family: "Nanum Square Round Regular", sans-serif;
  color: var(--text);
  background: var(--starry-bg);
  padding: 0;
  margin: 0;
  cursor: url("/cursors/Cosmica-Angel-Lilac/default.cur"), default;
}

a {
  cursor: url("/cursors/Cosmica-Angel-Lilac/link-select.cur"), pointer;
  color: var(--text);
}

.index-flex {
  display: flex;
  flex-flow: row center;
  align-content: center;
  align-items: center;
  justify-content: center;
}

.text {
  position: relative;
  font-size: 1rem;
  text-align: center;
  padding: 0px 20px;
  color: white;
  background: var(--m);
  text-shadow: 0px 0px 2px white;
  z-index: 999;
}

.mobile {
  display: none;
}

#desc {
  text-align: justify;
  width: 350px;
}


.header {
  display: block;
  width: 450px;
  height: 125px;
  margin-bottom: -25px;
  background-image: url("images/header-index.png");
  background-size: cover;
  background-repeat: no-repeat;
}

.fulltitle {
  width: 100%;
}

footer {
  display: block;
  margin-top: 1rem;
  position: relative;
  opacity: 1;
  text-align: center;
  padding: 15px 30px;
  z-index: 999999;
}

footer a {
  color: inherit;
  cursor: url("/cursors/Cosmica-Angel-Lilac/help-select.cur"), help;
}

.trees {
  position: fixed;
  background: url(images/bg/trees.png);
  bottom: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: bottom;
  z-index: -5;
}

.gradient-outer-container {
  position: fixed;
  height: 100%;
  width: 100%;
  z-index: 0;
  inset: 0;
  margin: auto;
  filter: blur(100px);
  opacity: 1;
  z-index: -999;
}

.gradient-inner-container {
  position: absolute;
  inset: 0;
  margin: auto;
  width: 150vw;
  height: 100vh;
  top: -150px;
  left: -100px;
  min-width: 1000px;
  overflow: hidden;
  background-color: var(--starry-gradient);
}

.bg-image {
  position: fixed;
  height: 100%;
  width: 100%;
  z-index: 0;
  inset: 0;
  margin: auto;
  opacity: 0.3;
  z-index: -99;
  background-image: url("/images/bg/rainy.gif");
}

.rain-drop {
  position: fixed;
  background: var(--raindrops);
  animation: fall infinite linear;
  top: -150px;
  width: 1px;
  z-index: -9;
}

@keyframes fall {
  from {
    transform: translateY(0px);
  }
  to {
    transform: translateY(100vh);
  }
}

.star {
  position: absolute;
  background: white;
  border-radius: 50%;
  opacity: 0.7;
  z-index: -9;
  animation: twinkle 1s infinite ease-in-out;
  clip-path: polygon(50% 0%, 60% 40%, 100% 50%, 60% 60%, 50% 100%, 40% 60%, 0% 50%, 40% 40%);
}

@keyframes twinkle {
  0%,
  100% {
    filter: brightness(100%);
  }
  50% {
    filter: brightness(200%);
  }
}

.overlay-container {
  position: fixed;
  width: 99vw;
  height: 99vh;
  overflow: hidden;
  z-index: -99;
}

.bg-overlay {
  position: fixed;
  background: url("images/bg/background_purple.gif");
  -webkit-background-size: 99%;
  -moz-background-size: 99%;
  -o-background-size: 99%;
  background-size: 99%;
  background-repeat: repeat;
  background-position: top;
  background-attachment: fixed;
  height: 100vh;
  width: 100vw;
  opacity: 0;
}

@keyframes showMoon {
  from {
    opacity: 0;
  }
  to {
    opacity: 0.55;
  }
}

.stacked-content {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  margin-top: 5%;
  width: 700px;
  animation: fadeIn 1s forwards;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.center-image {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 1rem 0;
  width: 700px;
  height: auto;
}

.house-sprite {
  position: relative;
  width: 100%;
  max-width: 700px;
  height: auto;
  aspect-ratio: 700 / 300;
  background-image: url("images/house-sprite-sheet.png");
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: cover;
  opacity: 1;
  z-index: 99;
  filter: drop-shadow(0px 1px 2px rgba(20, 20, 73, 0.47));
  -webkit-box-reflect: below -55px
                    -webkit-gradient(linear, left top, left bottom, from(transparent),
                    color-stop(0.7, transparent), to(rgba(255,255,255,.5)));
}

@keyframes moveSpriteSheet {
  from {
    background-position: 0 0;
  }

  to {
    background-position: -4200px 0;
  }
}

.sign {
  z-index: 9999999;
  background: url("images/sign.svg");
  background-size: cover;
  width: 145px;
  height: 81px;
  filter: drop-shadow(0px 1px 2px rgba(9, 9, 43, 0.63));
  image-rendering: pixelated;
}

.sign:hover {
  transform: rotate(5deg);
  cursor: url("/cursors/Cosmica-Angel-Lilac/link-select.cur"), pointer;
  image-rendering: pixelated;
}

.ring {
  float: left;
  height: 64px;
  width: 32px;
  background: url("images/doorbell.png");
  z-index: 9999999;
  filter: brightness(1) drop-shadow(0px 1px 2px rgba(9, 9, 43, 0.63));
  transition: filter 0.5s ease-in-out;
  cursor: url("/cursors/Cosmica-Angel-Lilac/link-select.cur"), pointer;
  animation: float 3s ease-in-out infinite;
}

@keyframes float {
  0% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-10px);
  }

  100% {
    transform: translateY(0);
  }
}

.ring:hover {
  filter: brightness(1.1) drop-shadow(0px 1px 5px rgba(97, 99, 233, 0.91));
  transition: filter 0.2s ease-in-out;
}

.updates {
  display: block;
  margin-top: 2rem;
  margin-bottom: 8rem;
  position: relative;
  opacity: 1;
  text-align: left;
  font-size: 0.8rem;
  padding: 15px 30px;
  background: #e7e7e7;
  border: 3px ridge;
  z-index: 999999;
}

/* ===== Scrollbar CSS ===== */
/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

*::-webkit-scrollbar-track {
  background-color: #e4e4e4;
  -webkit-border-radius: 0px;
  border-radius: 0px;
}

*::-webkit-scrollbar-thumb {
  -webkit-border-radius: 2px;
  border-radius: 2px;
  background: linear-gradient(-90deg, #b2bcdc, #eee);
  box-shadow: inset 0 0 0 1px #ffffff99;
  border: 1px solid #9698da;
}

*::-webkit-scrollbar-thumb:hover {
  -webkit-border-radius: 3px;
  border-radius: 3px;
  background: #ceceff;
  box-shadow: none;
  border: 1px solid #9698da;
}

@media (max-width: 600px) {
  #desc {
    color: var(--text2);
    width: 85vw;
    font-size: 0.9rem;
    padding: 15px;
    padding-bottom: 0px;
    position: relative;
    text-align: justify;
    background: white;
    border: 1px solid white;
    border-radius: 2px;
    text-shadow: none;
  }

  .header {
    display: block;
    width: 320px;
    height: 125px;
    margin-top: 50px;
    margin-bottom: -50px;
    background-image: url("images/header-index.png");
    background-size: contain;
    background-repeat: no-repeat;
  }

  footer {
    font-size: 0.8rem;
  }

  footer a {
    font-size: 0.8rem;
  }

  .mobile {
    display: block;
  }


  .hide {
    display: none;
  }

  
  .sign {
    width: 116px;
    height: 64px;
    background-size: 116px 64px;
  }

  .stacked-content {
    width: 95vw;
  }

  .center-image {
    width: 100%;
  }

  .overlay-container {
    width: 100vw;
  }

  .fulltitle {
    margin-top: 50px;
  }

  #title {
    font-size: 1.5rem;
  }

  #subtitle {
    font-size: 3.3rem;
    margin-top: rem;
  }
}
